// --- [ SLA_main.c ] ---------------------------------------------------------
//
//     tab = 3 -  24.02.2012

#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdlib.h>
#include "USI_Slave.h"

#define TRUE					1
#define FALSE					0

extern uint8_t USI_TxBuf[];

// --- Globale Variablen ------------------------------------------------------

uint8_t test_buffer1[] = {100, 102, 102, 103, 105};
uint8_t test_buffer2[] = {200, 201, 202, 203, 204};

// ----------------------------------------------------------------------------
int main( void )
{
uint8_t usi_data[32];
uint8_t i, rx, k = 0;

USI_SLA_Init();
asm volatile("sei");	 							// enable_interrupt
														// Sleep-Modus konfigurieren
DDRB   |= (1<<PB4);
PORTB  |= (1<<PB4);

while(1)
	{

   if ((rx = USI_SLA_Rx_Cnt()))           // sind Daten im Puffer ?
      {                                   // ist eine bertragung im Gange, wird hier bis zum Abschluss gewartet

      PINB = (1<<PB4);                    // die LED toggled immer dann, wenn Daten abgeholt werden

		if (rx == 1)                        // Die Adresse ohne Daten schaltet die Datenarrays um
		{
		   if (k == 0)      USI_SLA_Set_TxPtr(test_buffer1);
		   else if (k == 1) USI_SLA_Set_TxPtr(test_buffer2);
         else if (k == 2) USI_SLA_Set_TxPtr(USI_TxBuf);
		   k++;
		   if (k > 2) k = 0;
		}

		USI_SLA_Get_Data(usi_data); 			// Daten aus dem Empfangspuffer holen

		for (i = 1; i < rx; i++) usi_data[i] += 2;

		USI_SLA_Put_Data(usi_data, rx);		// Wert ins USI-Modul exportieren
		}
	}
}

// --- [ eof ] ----------------------------------------------------------------

