// --- [ main.c ] -------------------------------------------------------------
//
//      Testprogramm fr den TWI_Master
//      Sendet im Sekundenabstand Werte an einen PCF8574 an Adresse 64dez

#define EXTERN
#include <avr/interrupt.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <stdlib.h>
#include <string.h>
#include <util/delay.h>
#include "TWI_Master.h"


// --- public - Variablen -----------------------------------------------------

// --- Prototypen -------------------------------------------------------------

// ----------------------------------------------------------------------------
int main(void)
{
   uint8_t i = 0, j = 0;;
   uint8_t twi_buffer[20];                   // In TWI_Master.h die Gre des Arrays (TWI_BUF_SIZE) prfen

   TWI_MA_Init();                            // Die TWI-Schnittstelle initialisieren
   asm volatile ("sei");                     // Interrupts freigeben

   DDRB |= (1<<PB0);

   while(1)
   {
/*
      twi_buffer[0] = 0x04;                  // Logger
      twi_buffer[1] = i;
      twi_buffer[3] = ' ';
      twi_buffer[4] = 'A' + i;
      twi_buffer[5] = 'A' + i + 1;
*/

      twi_buffer[0] = 64;                    // Standardadresse PCF8574
      twi_buffer[1] = i;
      TWI_MA_Write(twi_buffer, 2);

      TWI_MA_Read(twi_buffer, 2);

      if (twi_buffer[1] == i) PINB = (1<<PB0);

//      twi_buffer[2] = TWI_Get_State();

      i++;
 //     if (i > 64) i = 0;

      j = 10;
      while (j--) _delay_ms(100);
   }

}

// --- [ eof ] ----------------------------------------------------------------
