// --- [ TWI_Master.h ] -------------------------------------------------------
//
//	      tab = 3 - 01.03.2012

#include "TWI_State_Codes.h"

#define TWI_BUF_SIZE    32            	// Set to largest message size including address byte.
#define TWI_CLOCK      	100000UL			// 100kHz
#define TWI_TWBR 	      ((F_CPU / (2 * TWI_CLOCK)) - 8)

#define TWI_BUSY        (TWCR & (1<<TWIE | 1<<TWSTO))
#define TWI_Get_State() (TWSR)

void    TWI_MA_Init( void );
void    TWI_MA_Write( uint8_t * , uint8_t );
uint8_t TWI_MA_Read( uint8_t * , uint8_t );
//uint8_t TWI_Get_State( void );             // ist als Makro definiert


// --- [ eof ] ----------------------------------------------------------------
